﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 29/04/2021 14:47:38
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE ukyfuracing;

--
-- Drop table `almacenes_que_gestionan_cambios`
--
DROP TABLE IF EXISTS almacenes_que_gestionan_cambios;

--
-- Drop table `almacenes_que_guardan_productos`
--
DROP TABLE IF EXISTS almacenes_que_guardan_productos;

--
-- Drop table `empleados_que_gestionan_pedidos_en_almacenes`
--
DROP TABLE IF EXISTS empleados_que_gestionan_pedidos_en_almacenes;

--
-- Drop table `almacenes`
--
DROP TABLE IF EXISTS almacenes;

--
-- Drop table `productos_que_sufren_cambios`
--
DROP TABLE IF EXISTS productos_que_sufren_cambios;

--
-- Drop table `cambios`
--
DROP TABLE IF EXISTS cambios;

--
-- Drop table `comentarios`
--
DROP TABLE IF EXISTS comentarios;

--
-- Drop table `compras`
--
DROP TABLE IF EXISTS compras;

--
-- Drop table `documentaciones`
--
DROP TABLE IF EXISTS documentaciones;

--
-- Drop table `productos_componen_proyectos`
--
DROP TABLE IF EXISTS productos_componen_proyectos;

--
-- Drop table `productos_que_componen_ordenes`
--
DROP TABLE IF EXISTS productos_que_componen_ordenes;

--
-- Drop table `productos_que_componen_pedidos`
--
DROP TABLE IF EXISTS productos_que_componen_pedidos;

--
-- Drop table `productos_que_componen_productos`
--
DROP TABLE IF EXISTS productos_que_componen_productos;

--
-- Drop table `proveedores_que_suministran_productos`
--
DROP TABLE IF EXISTS proveedores_que_suministran_productos;

--
-- Drop table `ventas`
--
DROP TABLE IF EXISTS ventas;

--
-- Drop table `productos`
--
DROP TABLE IF EXISTS productos;

--
-- Drop table `emails_intermediarios`
--
DROP TABLE IF EXISTS emails_intermediarios;

--
-- Drop table `enlaces_intermediarios`
--
DROP TABLE IF EXISTS enlaces_intermediarios;

--
-- Drop table `intermediarios_que_participan_en_proyectos`
--
DROP TABLE IF EXISTS intermediarios_que_participan_en_proyectos;

--
-- Drop table `tlfs_intermediarios`
--
DROP TABLE IF EXISTS tlfs_intermediarios;

--
-- Drop table `intermediarios`
--
DROP TABLE IF EXISTS intermediarios;

--
-- Drop table `mantenimientos`
--
DROP TABLE IF EXISTS mantenimientos;

--
-- Drop table `maquinas_participan_ordenes`
--
DROP TABLE IF EXISTS maquinas_participan_ordenes;

--
-- Drop table `mejoras_de_maquinas`
--
DROP TABLE IF EXISTS mejoras_de_maquinas;

--
-- Drop table `maquinas`
--
DROP TABLE IF EXISTS maquinas;

--
-- Drop table `proveedores_materiales_ordenes`
--
DROP TABLE IF EXISTS proveedores_materiales_ordenes;

--
-- Drop table `proveedores_que_suministran_materiales`
--
DROP TABLE IF EXISTS proveedores_que_suministran_materiales;

--
-- Drop table `materiales`
--
DROP TABLE IF EXISTS materiales;

--
-- Drop table `proveedores_que_suministran_postprocesados`
--
DROP TABLE IF EXISTS proveedores_que_suministran_postprocesados;

--
-- Drop table `proveedores_que_suministran_postprocesados_a_ordenes`
--
DROP TABLE IF EXISTS proveedores_que_suministran_postprocesados_a_ordenes;

--
-- Drop table `postprocesados`
--
DROP TABLE IF EXISTS postprocesados;

--
-- Drop table `emails_empleados`
--
DROP TABLE IF EXISTS emails_empleados;

--
-- Drop table `empleados_que_trabajan_en_proyectos`
--
DROP TABLE IF EXISTS empleados_que_trabajan_en_proyectos;

--
-- Drop table `mejoras`
--
DROP TABLE IF EXISTS mejoras;

--
-- Drop table `proveedores_que_colaboran_en_ordenes`
--
DROP TABLE IF EXISTS proveedores_que_colaboran_en_ordenes;

--
-- Drop table `enlaces_seguimientos`
--
DROP TABLE IF EXISTS enlaces_seguimientos;

--
-- Drop table `seguimientos`
--
DROP TABLE IF EXISTS seguimientos;

--
-- Drop table `ordenes_de_fabricacion`
--
DROP TABLE IF EXISTS ordenes_de_fabricacion;

--
-- Drop table `tlfs_empleados`
--
DROP TABLE IF EXISTS tlfs_empleados;

--
-- Drop table `empleados`
--
DROP TABLE IF EXISTS empleados;

--
-- Drop table `emails_proveedores`
--
DROP TABLE IF EXISTS emails_proveedores;

--
-- Drop table `transportes_que_sufren_los_pedidos`
--
DROP TABLE IF EXISTS transportes_que_sufren_los_pedidos;

--
-- Drop table `pedidos`
--
DROP TABLE IF EXISTS pedidos;

--
-- Drop table `proveedores_que_participan_en_proyectos`
--
DROP TABLE IF EXISTS proveedores_que_participan_en_proyectos;

--
-- Drop table `telefonos_proveedores`
--
DROP TABLE IF EXISTS telefonos_proveedores;

--
-- Drop table `transportes`
--
DROP TABLE IF EXISTS transportes;

--
-- Drop table `proveedores`
--
DROP TABLE IF EXISTS proveedores;

--
-- Drop table `direcciones_envio_clientes`
--
DROP TABLE IF EXISTS direcciones_envio_clientes;

--
-- Drop table `direcciones_facturacion_clientes`
--
DROP TABLE IF EXISTS direcciones_facturacion_clientes;

--
-- Drop table `emails_clientes`
--
DROP TABLE IF EXISTS emails_clientes;

--
-- Drop table `proyectos`
--
DROP TABLE IF EXISTS proyectos;

--
-- Drop table `tlfs_clientes`
--
DROP TABLE IF EXISTS tlfs_clientes;

--
-- Drop table `clientes`
--
DROP TABLE IF EXISTS clientes;

--
-- Set default database
--
USE ukyfuracing;

--
-- Create table `clientes`
--
CREATE TABLE clientes (
  codigo_cliente int(11) NOT NULL AUTO_INCREMENT,
  pais_cliente varchar(2) DEFAULT NULL,
  cif_cliente varchar(9) DEFAULT NULL,
  nombre_cliente varchar(100) DEFAULT NULL,
  tipo_empresa_cliente varchar(100) DEFAULT NULL,
  sociedad_empresa_cliente varchar(100) DEFAULT NULL,
  nombre_contacto_cliente varchar(100) DEFAULT NULL,
  primer_apellido_contacto_cliente varchar(100) DEFAULT NULL,
  segundo_apellido_contacto_cliente varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_cliente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `tlfs_clientes`
--
CREATE TABLE tlfs_clientes (
  codigo_tlf int(11) NOT NULL AUTO_INCREMENT,
  codigo_cliente int(11) DEFAULT NULL,
  tlf_cliente varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_tlf)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_cliente` on table `tlfs_clientes`
--
ALTER TABLE tlfs_clientes
ADD UNIQUE INDEX codigo_cliente (codigo_cliente, tlf_cliente);

--
-- Create foreign key
--
ALTER TABLE tlfs_clientes
ADD CONSTRAINT tlfs_clientes_ibfk_1 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `proyectos`
--
CREATE TABLE proyectos (
  codigo_proyecto int(11) NOT NULL AUTO_INCREMENT,
  codigo_cliente int(11) DEFAULT NULL,
  referencia_interna_proyecto varchar(10) DEFAULT NULL,
  nombre_proyecto varchar(100) DEFAULT NULL,
  carpeta_proyecto varchar(100) DEFAULT NULL,
  referencia_cad_proyecto varchar(100) DEFAULT NULL,
  gantt_proyecto varchar(100) DEFAULT NULL,
  fecha_fin_proyecto date DEFAULT NULL,
  fecha_inicio_proyecto date DEFAULT NULL,
  tipo_proyecto varchar(100) DEFAULT NULL,
  estado_proyecto varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_proyecto)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE proyectos
ADD CONSTRAINT proyectos_ibfk_1 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `emails_clientes`
--
CREATE TABLE emails_clientes (
  codigo_email int(11) NOT NULL AUTO_INCREMENT,
  codigo_cliente int(11) DEFAULT NULL,
  email_cliente varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_email)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_cliente` on table `emails_clientes`
--
ALTER TABLE emails_clientes
ADD UNIQUE INDEX codigo_cliente (codigo_cliente, email_cliente);

--
-- Create foreign key
--
ALTER TABLE emails_clientes
ADD CONSTRAINT emails_clientes_ibfk_1 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `direcciones_facturacion_clientes`
--
CREATE TABLE direcciones_facturacion_clientes (
  codigo_direccion_facturacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_cliente int(11) DEFAULT NULL,
  direccion_facturacion varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_direccion_facturacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_cliente` on table `direcciones_facturacion_clientes`
--
ALTER TABLE direcciones_facturacion_clientes
ADD UNIQUE INDEX codigo_cliente (codigo_cliente, direccion_facturacion);

--
-- Create foreign key
--
ALTER TABLE direcciones_facturacion_clientes
ADD CONSTRAINT direcciones_facturacion_clientes_ibfk_1 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `direcciones_envio_clientes`
--
CREATE TABLE direcciones_envio_clientes (
  codigo_direccion_envio int(11) NOT NULL AUTO_INCREMENT,
  codigo_cliente int(11) DEFAULT NULL,
  direccion_envio varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_direccion_envio)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_cliente` on table `direcciones_envio_clientes`
--
ALTER TABLE direcciones_envio_clientes
ADD UNIQUE INDEX codigo_cliente (codigo_cliente, direccion_envio);

--
-- Create foreign key
--
ALTER TABLE direcciones_envio_clientes
ADD CONSTRAINT direcciones_envio_clientes_ibfk_1 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `proveedores`
--
CREATE TABLE proveedores (
  codigo_proveedor int(11) NOT NULL AUTO_INCREMENT,
  cif_proveedor varchar(9) DEFAULT NULL,
  eori_proveedor varchar(50) DEFAULT NULL,
  nombre_proveedor varchar(100) DEFAULT NULL,
  tipo_de_empresa_proveedor varchar(100) DEFAULT NULL,
  sociedad_empresa_proveedor varchar(100) DEFAULT NULL,
  pais_proveedor varchar(2) DEFAULT NULL,
  tipo_proveedor varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_proveedor)
)
ENGINE = INNODB,
AUTO_INCREMENT = 47,
AVG_ROW_LENGTH = 356,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `transportes`
--
CREATE TABLE transportes (
  codigo_transporte int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  fecha_llegada date DEFAULT NULL,
  fecha_estimada_llegada date DEFAULT NULL,
  base_imponible_envio float DEFAULT NULL,
  fecha_envio_transporte date DEFAULT NULL,
  tipo_transporte varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_transporte)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE transportes
ADD CONSTRAINT transportes_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `telefonos_proveedores`
--
CREATE TABLE telefonos_proveedores (
  codigo_tlf_proveedor int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  tlf_proveedor varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_tlf_proveedor)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `telefonos_proveedores`
--
ALTER TABLE telefonos_proveedores
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, tlf_proveedor);

--
-- Create foreign key
--
ALTER TABLE telefonos_proveedores
ADD CONSTRAINT telefonos_proveedores_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `proveedores_que_participan_en_proyectos`
--
CREATE TABLE proveedores_que_participan_en_proyectos (
  codigo_participacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_proyecto int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_participacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `proveedores_que_participan_en_proyectos`
--
ALTER TABLE proveedores_que_participan_en_proyectos
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_proyecto);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_participan_en_proyectos
ADD CONSTRAINT proveedores_que_participan_en_proyectos_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_participan_en_proyectos
ADD CONSTRAINT proveedores_que_participan_en_proyectos_ibfk_2 FOREIGN KEY (codigo_proyecto)
REFERENCES proyectos (codigo_proyecto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `pedidos`
--
CREATE TABLE pedidos (
  codigo_pedido int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_cliente int(11) DEFAULT NULL,
  tracking_pedido varchar(100) DEFAULT NULL,
  carpeta_pedido varchar(100) DEFAULT NULL,
  tipo_pedido varchar(100) DEFAULT NULL,
  estado_pedido varchar(100) DEFAULT NULL,
  urgencia_pedido varchar(100) DEFAULT NULL,
  forma_de_pago varchar(100) DEFAULT NULL,
  hay_pago_importacion tinyint(1) DEFAULT 0,
  pago_importacion float DEFAULT NULL,
  PRIMARY KEY (codigo_pedido)
)
ENGINE = INNODB,
AUTO_INCREMENT = 49,
AVG_ROW_LENGTH = 341,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE pedidos
ADD CONSTRAINT pedidos_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE pedidos
ADD CONSTRAINT pedidos_ibfk_2 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `transportes_que_sufren_los_pedidos`
--
CREATE TABLE transportes_que_sufren_los_pedidos (
  codigo_viaje int(11) NOT NULL AUTO_INCREMENT,
  codigo_pedido int(11) DEFAULT NULL,
  codigo_transporte int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_viaje)
)
ENGINE = INNODB,
AUTO_INCREMENT = 7,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_pedido` on table `transportes_que_sufren_los_pedidos`
--
ALTER TABLE transportes_que_sufren_los_pedidos
ADD UNIQUE INDEX codigo_pedido (codigo_pedido, codigo_transporte);

--
-- Create foreign key
--
ALTER TABLE transportes_que_sufren_los_pedidos
ADD CONSTRAINT transportes_que_sufren_los_pedidos_ibfk_1 FOREIGN KEY (codigo_pedido)
REFERENCES pedidos (codigo_pedido) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE transportes_que_sufren_los_pedidos
ADD CONSTRAINT transportes_que_sufren_los_pedidos_ibfk_2 FOREIGN KEY (codigo_transporte)
REFERENCES transportes (codigo_transporte) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `emails_proveedores`
--
CREATE TABLE emails_proveedores (
  codigo_email_proveedor int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  email_proveedor varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_email_proveedor)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `emails_proveedores`
--
ALTER TABLE emails_proveedores
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, email_proveedor);

--
-- Create foreign key
--
ALTER TABLE emails_proveedores
ADD CONSTRAINT emails_proveedores_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `empleados`
--
CREATE TABLE empleados (
  codigo_empleado int(11) NOT NULL AUTO_INCREMENT,
  nombre_empleado varchar(100) DEFAULT NULL,
  primer_apellido_empleado varchar(100) DEFAULT NULL,
  segundo_apellido_empleado varchar(100) DEFAULT NULL,
  puesto_empleado varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_empleado)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `tlfs_empleados`
--
CREATE TABLE tlfs_empleados (
  codigo_tlf int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  tlf_empleado varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_tlf)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_empleado` on table `tlfs_empleados`
--
ALTER TABLE tlfs_empleados
ADD UNIQUE INDEX codigo_empleado (codigo_empleado, tlf_empleado);

--
-- Create foreign key
--
ALTER TABLE tlfs_empleados
ADD CONSTRAINT tlfs_empleados_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `ordenes_de_fabricacion`
--
CREATE TABLE ordenes_de_fabricacion (
  codigo_orden_de_fabricacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  codigo_proyecto int(11) DEFAULT NULL,
  nombre_orden_de_fabricacion varchar(100) DEFAULT NULL,
  imagen varchar(100) DEFAULT NULL,
  estado varchar(100) DEFAULT NULL,
  fecha_inicio_orden_de_fabricacion date DEFAULT NULL,
  fecha_fin_orden_de_fabricacion date DEFAULT NULL,
  tipo_orden_de_fabricacion varchar(100) DEFAULT NULL,
  fecha_estimada_fin_orden_fabricacion date DEFAULT NULL,
  urgencia_orden_fabricacion varchar(100) DEFAULT NULL,
  estimacion_coste_material float DEFAULT NULL,
  coste_fabricacion float DEFAULT NULL,
  coste_transporte float DEFAULT NULL,
  coste_postprocesado float DEFAULT NULL,
  coste_maquina float DEFAULT NULL,
  coste_mano_de_obra float DEFAULT NULL,
  coste_material float DEFAULT NULL,
  PRIMARY KEY (codigo_orden_de_fabricacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE ordenes_de_fabricacion
ADD CONSTRAINT ordenes_de_fabricacion_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE ordenes_de_fabricacion
ADD CONSTRAINT ordenes_de_fabricacion_ibfk_2 FOREIGN KEY (codigo_proyecto)
REFERENCES proyectos (codigo_proyecto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `seguimientos`
--
CREATE TABLE seguimientos (
  codigo_seguimiento int(11) NOT NULL AUTO_INCREMENT,
  codigo_pedido int(11) DEFAULT NULL,
  codigo_orden_de_fabricacion int(11) DEFAULT NULL,
  codigo_empleado int(11) DEFAULT NULL,
  hora_seguimiento time DEFAULT NULL,
  fecha_de_realizacion_seguimiento date DEFAULT NULL,
  PRIMARY KEY (codigo_seguimiento)
)
ENGINE = INNODB,
AUTO_INCREMENT = 8,
AVG_ROW_LENGTH = 2340,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE seguimientos
ADD CONSTRAINT seguimientos_ibfk_1 FOREIGN KEY (codigo_pedido)
REFERENCES pedidos (codigo_pedido) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE seguimientos
ADD CONSTRAINT seguimientos_ibfk_2 FOREIGN KEY (codigo_orden_de_fabricacion)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE seguimientos
ADD CONSTRAINT seguimientos_ibfk_3 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `enlaces_seguimientos`
--
CREATE TABLE enlaces_seguimientos (
  codigo_enlace_seguimiento int(11) NOT NULL AUTO_INCREMENT,
  codigo_seguimiento int(11) DEFAULT NULL,
  enlace_seguimiento varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_enlace_seguimiento)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_seguimiento` on table `enlaces_seguimientos`
--
ALTER TABLE enlaces_seguimientos
ADD UNIQUE INDEX codigo_seguimiento (codigo_seguimiento, enlace_seguimiento);

--
-- Create foreign key
--
ALTER TABLE enlaces_seguimientos
ADD CONSTRAINT enlaces_seguimientos_ibfk_1 FOREIGN KEY (codigo_seguimiento)
REFERENCES seguimientos (codigo_seguimiento) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `proveedores_que_colaboran_en_ordenes`
--
CREATE TABLE proveedores_que_colaboran_en_ordenes (
  codigo_colaboracion int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_orden_fabricacion int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_colaboracion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `proveedores_que_colaboran_en_ordenes`
--
ALTER TABLE proveedores_que_colaboran_en_ordenes
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_orden_fabricacion);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_colaboran_en_ordenes
ADD CONSTRAINT proveedores_que_colaboran_en_ordenes_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_colaboran_en_ordenes
ADD CONSTRAINT proveedores_que_colaboran_en_ordenes_ibfk_2 FOREIGN KEY (codigo_orden_fabricacion)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `mejoras`
--
CREATE TABLE mejoras (
  codigo_mejora int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  descripcion_mejora varchar(100) DEFAULT NULL,
  carpeta_mejora varchar(100) DEFAULT NULL,
  fecha date DEFAULT NULL,
  PRIMARY KEY (codigo_mejora)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE mejoras
ADD CONSTRAINT mejoras_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `empleados_que_trabajan_en_proyectos`
--
CREATE TABLE empleados_que_trabajan_en_proyectos (
  codigo_trabajo int(11) NOT NULL AUTO_INCREMENT,
  codigo_proyecto int(11) DEFAULT NULL,
  codigo_empleado int(11) DEFAULT NULL,
  responsable tinyint(1) DEFAULT 0,
  PRIMARY KEY (codigo_trabajo)
)
ENGINE = INNODB,
AUTO_INCREMENT = 9,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proyecto` on table `empleados_que_trabajan_en_proyectos`
--
ALTER TABLE empleados_que_trabajan_en_proyectos
ADD UNIQUE INDEX codigo_proyecto (codigo_proyecto, codigo_empleado);

--
-- Create foreign key
--
ALTER TABLE empleados_que_trabajan_en_proyectos
ADD CONSTRAINT empleados_que_trabajan_en_proyectos_ibfk_1 FOREIGN KEY (codigo_proyecto)
REFERENCES proyectos (codigo_proyecto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE empleados_que_trabajan_en_proyectos
ADD CONSTRAINT empleados_que_trabajan_en_proyectos_ibfk_2 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `emails_empleados`
--
CREATE TABLE emails_empleados (
  codigo_email int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  email_empleado varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_email)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_empleado` on table `emails_empleados`
--
ALTER TABLE emails_empleados
ADD UNIQUE INDEX codigo_empleado (codigo_empleado, email_empleado);

--
-- Create foreign key
--
ALTER TABLE emails_empleados
ADD CONSTRAINT emails_empleados_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `postprocesados`
--
CREATE TABLE postprocesados (
  codigo_postprocesado int(11) NOT NULL AUTO_INCREMENT,
  fecha_inicio_postprocesado date DEFAULT NULL,
  fecha_fin_postprocesado date DEFAULT NULL,
  descripcion_postprocesado varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_postprocesado)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `proveedores_que_suministran_postprocesados_a_ordenes`
--
CREATE TABLE proveedores_que_suministran_postprocesados_a_ordenes (
  codigo_suministro int(11) NOT NULL AUTO_INCREMENT,
  codigo_postprocesado int(11) DEFAULT NULL,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_orden int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_suministro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_postprocesado` on table `proveedores_que_suministran_postprocesados_a_ordenes`
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD UNIQUE INDEX codigo_postprocesado (codigo_postprocesado, codigo_proveedor);

--
-- Create index `codigo_postprocesado_2` on table `proveedores_que_suministran_postprocesados_a_ordenes`
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD UNIQUE INDEX codigo_postprocesado_2 (codigo_postprocesado, codigo_orden);

--
-- Create index `codigo_proveedor` on table `proveedores_que_suministran_postprocesados_a_ordenes`
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_orden);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD CONSTRAINT proveedores_que_suministran_postprocesados_a_ordenes_ibfk_1 FOREIGN KEY (codigo_postprocesado)
REFERENCES postprocesados (codigo_postprocesado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD CONSTRAINT proveedores_que_suministran_postprocesados_a_ordenes_ibfk_2 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_postprocesados_a_ordenes
ADD CONSTRAINT proveedores_que_suministran_postprocesados_a_ordenes_ibfk_3 FOREIGN KEY (codigo_orden)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `proveedores_que_suministran_postprocesados`
--
CREATE TABLE proveedores_que_suministran_postprocesados (
  codigo_suministro int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_postprocesado int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_suministro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `proveedores_que_suministran_postprocesados`
--
ALTER TABLE proveedores_que_suministran_postprocesados
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_postprocesado);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_postprocesados
ADD CONSTRAINT proveedores_que_suministran_postprocesados_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_postprocesados
ADD CONSTRAINT proveedores_que_suministran_postprocesados_ibfk_2 FOREIGN KEY (codigo_postprocesado)
REFERENCES postprocesados (codigo_postprocesado) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `materiales`
--
CREATE TABLE materiales (
  codigo_material int(11) NOT NULL AUTO_INCREMENT,
  familia_material varchar(100) DEFAULT NULL,
  clase_material varchar(100) DEFAULT NULL,
  tipo_material varchar(100) DEFAULT NULL,
  carpeta_material varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_material)
)
ENGINE = INNODB,
AUTO_INCREMENT = 13,
AVG_ROW_LENGTH = 1365,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `proveedores_que_suministran_materiales`
--
CREATE TABLE proveedores_que_suministran_materiales (
  codigo_suministro int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_material int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_suministro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `proveedores_que_suministran_materiales`
--
ALTER TABLE proveedores_que_suministran_materiales
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_material);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_materiales
ADD CONSTRAINT proveedores_que_suministran_materiales_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_materiales
ADD CONSTRAINT proveedores_que_suministran_materiales_ibfk_2 FOREIGN KEY (codigo_material)
REFERENCES materiales (codigo_material) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `proveedores_materiales_ordenes`
--
CREATE TABLE proveedores_materiales_ordenes (
  codigo_suministro int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_material int(11) DEFAULT NULL,
  codigo_orden int(11) DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  medida varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_suministro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_material` on table `proveedores_materiales_ordenes`
--
ALTER TABLE proveedores_materiales_ordenes
ADD UNIQUE INDEX codigo_material (codigo_material, codigo_orden);

--
-- Create index `codigo_proveedor` on table `proveedores_materiales_ordenes`
--
ALTER TABLE proveedores_materiales_ordenes
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_material);

--
-- Create foreign key
--
ALTER TABLE proveedores_materiales_ordenes
ADD CONSTRAINT proveedores_materiales_ordenes_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_materiales_ordenes
ADD CONSTRAINT proveedores_materiales_ordenes_ibfk_2 FOREIGN KEY (codigo_material)
REFERENCES materiales (codigo_material) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_materiales_ordenes
ADD CONSTRAINT proveedores_materiales_ordenes_ibfk_3 FOREIGN KEY (codigo_orden)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `maquinas`
--
CREATE TABLE maquinas (
  codigo_maquina int(11) NOT NULL AUTO_INCREMENT,
  nombre_maquina varchar(100) DEFAULT NULL,
  numero_de_serie_maquina varchar(100) DEFAULT NULL,
  software_maquina varchar(100) DEFAULT NULL,
  manual_mantenimiento_maquina varchar(100) DEFAULT NULL,
  modelo_maquina varchar(100) DEFAULT NULL,
  manual_procedimiento_maquina varchar(100) DEFAULT NULL,
  carpeta_maquina varchar(100) DEFAULT NULL,
  tipo_maquina varchar(100) DEFAULT NULL,
  descripcion_maquina varchar(100) DEFAULT NULL,
  manual_maquina varchar(100) DEFAULT NULL,
  firmware_maquina varchar(100) DEFAULT NULL,
  fabricante_maquina varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_maquina)
)
ENGINE = INNODB,
AUTO_INCREMENT = 11,
AVG_ROW_LENGTH = 1638,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `mejoras_de_maquinas`
--
CREATE TABLE mejoras_de_maquinas (
  codigo_aplicacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_maquina int(11) DEFAULT NULL,
  codigo_mejora int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_aplicacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_maquina` on table `mejoras_de_maquinas`
--
ALTER TABLE mejoras_de_maquinas
ADD UNIQUE INDEX codigo_maquina (codigo_maquina, codigo_mejora);

--
-- Create foreign key
--
ALTER TABLE mejoras_de_maquinas
ADD CONSTRAINT mejoras_de_maquinas_ibfk_1 FOREIGN KEY (codigo_maquina)
REFERENCES maquinas (codigo_maquina) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE mejoras_de_maquinas
ADD CONSTRAINT mejoras_de_maquinas_ibfk_2 FOREIGN KEY (codigo_mejora)
REFERENCES mejoras (codigo_mejora) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `maquinas_participan_ordenes`
--
CREATE TABLE maquinas_participan_ordenes (
  codigo_operacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_maquina int(11) DEFAULT NULL,
  codigo_orden int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_operacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_maquina` on table `maquinas_participan_ordenes`
--
ALTER TABLE maquinas_participan_ordenes
ADD UNIQUE INDEX codigo_maquina (codigo_maquina, codigo_orden);

--
-- Create foreign key
--
ALTER TABLE maquinas_participan_ordenes
ADD CONSTRAINT maquinas_participan_ordenes_ibfk_1 FOREIGN KEY (codigo_maquina)
REFERENCES maquinas (codigo_maquina) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE maquinas_participan_ordenes
ADD CONSTRAINT maquinas_participan_ordenes_ibfk_2 FOREIGN KEY (codigo_orden)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `mantenimientos`
--
CREATE TABLE mantenimientos (
  codigo_mantenimiento int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  codigo_maquina int(11) DEFAULT NULL,
  version_firmware varchar(100) DEFAULT NULL,
  fecha_de_realizacion_mantenimiento date DEFAULT NULL,
  PRIMARY KEY (codigo_mantenimiento)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE mantenimientos
ADD CONSTRAINT mantenimientos_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE mantenimientos
ADD CONSTRAINT mantenimientos_ibfk_2 FOREIGN KEY (codigo_maquina)
REFERENCES maquinas (codigo_maquina) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `intermediarios`
--
CREATE TABLE intermediarios (
  codigo_intermediario int(11) NOT NULL AUTO_INCREMENT,
  eori_intermediario varchar(50) DEFAULT NULL,
  cif_intermediario varchar(9) DEFAULT NULL,
  nombre_intermediario varchar(100) DEFAULT NULL,
  tipo_empresa_intermediario varchar(100) DEFAULT NULL,
  sociedad_empresa_intermediario varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_intermediario)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `tlfs_intermediarios`
--
CREATE TABLE tlfs_intermediarios (
  codigo_tlf int(11) NOT NULL AUTO_INCREMENT,
  codigo_intermediario int(11) DEFAULT NULL,
  tlf_intermediario varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_tlf)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_intermediario` on table `tlfs_intermediarios`
--
ALTER TABLE tlfs_intermediarios
ADD UNIQUE INDEX codigo_intermediario (codigo_intermediario, tlf_intermediario);

--
-- Create foreign key
--
ALTER TABLE tlfs_intermediarios
ADD CONSTRAINT tlfs_intermediarios_ibfk_1 FOREIGN KEY (codigo_intermediario)
REFERENCES intermediarios (codigo_intermediario) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `intermediarios_que_participan_en_proyectos`
--
CREATE TABLE intermediarios_que_participan_en_proyectos (
  codigo_participacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_intermediario int(11) DEFAULT NULL,
  codigo_proyecto int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_participacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_intermediario` on table `intermediarios_que_participan_en_proyectos`
--
ALTER TABLE intermediarios_que_participan_en_proyectos
ADD UNIQUE INDEX codigo_intermediario (codigo_intermediario, codigo_proyecto);

--
-- Create foreign key
--
ALTER TABLE intermediarios_que_participan_en_proyectos
ADD CONSTRAINT intermediarios_que_participan_en_proyectos_ibfk_1 FOREIGN KEY (codigo_intermediario)
REFERENCES intermediarios (codigo_intermediario) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE intermediarios_que_participan_en_proyectos
ADD CONSTRAINT intermediarios_que_participan_en_proyectos_ibfk_2 FOREIGN KEY (codigo_proyecto)
REFERENCES proyectos (codigo_proyecto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `enlaces_intermediarios`
--
CREATE TABLE enlaces_intermediarios (
  codigo_enlace int(11) NOT NULL AUTO_INCREMENT,
  codigo_intermediario int(11) DEFAULT NULL,
  enlace_intermediario varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_enlace)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_intermediario` on table `enlaces_intermediarios`
--
ALTER TABLE enlaces_intermediarios
ADD UNIQUE INDEX codigo_intermediario (codigo_intermediario, enlace_intermediario);

--
-- Create foreign key
--
ALTER TABLE enlaces_intermediarios
ADD CONSTRAINT enlaces_intermediarios_ibfk_1 FOREIGN KEY (codigo_intermediario)
REFERENCES intermediarios (codigo_intermediario) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `emails_intermediarios`
--
CREATE TABLE emails_intermediarios (
  codigo_email int(11) NOT NULL AUTO_INCREMENT,
  codigo_intermediario int(11) DEFAULT NULL,
  email_intermediario varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_email)
)
ENGINE = INNODB,
AUTO_INCREMENT = 2,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_intermediario` on table `emails_intermediarios`
--
ALTER TABLE emails_intermediarios
ADD UNIQUE INDEX codigo_intermediario (codigo_intermediario, email_intermediario);

--
-- Create foreign key
--
ALTER TABLE emails_intermediarios
ADD CONSTRAINT emails_intermediarios_ibfk_1 FOREIGN KEY (codigo_intermediario)
REFERENCES intermediarios (codigo_intermediario) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos`
--
CREATE TABLE productos (
  codigo_producto int(11) NOT NULL AUTO_INCREMENT,
  cantidad_en_stock int(11) DEFAULT NULL,
  forma_de_almacenamiento varchar(100) DEFAULT NULL,
  concepto_producto varchar(100) DEFAULT NULL,
  primera_categoria_producto varchar(100) DEFAULT NULL,
  segunda_categoria_producto varchar(100) DEFAULT NULL,
  tercera_categoria_producto varchar(100) DEFAULT NULL,
  referencia_interna_producto varchar(6) DEFAULT NULL,
  referencia_articulo_producto varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_producto)
)
ENGINE = INNODB,
AUTO_INCREMENT = 86,
AVG_ROW_LENGTH = 192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `ventas`
--
CREATE TABLE ventas (
  codigo_venta int(11) NOT NULL AUTO_INCREMENT,
  cod_cliente int(11) DEFAULT NULL,
  cod_producto int(11) DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  base_imponible_unitaria_venta float DEFAULT NULL,
  beneficio float DEFAULT NULL,
  fecha_de_salida date DEFAULT NULL,
  referencia_interna_venta varchar(6) DEFAULT NULL,
  PRIMARY KEY (codigo_venta)
)
ENGINE = INNODB,
AUTO_INCREMENT = 8,
AVG_ROW_LENGTH = 2340,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `cod_cliente` on table `ventas`
--
ALTER TABLE ventas
ADD UNIQUE INDEX cod_cliente (cod_cliente, cod_producto);

--
-- Create foreign key
--
ALTER TABLE ventas
ADD CONSTRAINT ventas_ibfk_1 FOREIGN KEY (cod_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE ventas
ADD CONSTRAINT ventas_ibfk_2 FOREIGN KEY (cod_producto)
REFERENCES productos (codigo_producto) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `proveedores_que_suministran_productos`
--
CREATE TABLE proveedores_que_suministran_productos (
  codigo_suministro int(11) NOT NULL AUTO_INCREMENT,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  base_imponible_unitaria float DEFAULT NULL,
  iva_impuesto float DEFAULT NULL,
  PRIMARY KEY (codigo_suministro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proveedor` on table `proveedores_que_suministran_productos`
--
ALTER TABLE proveedores_que_suministran_productos
ADD UNIQUE INDEX codigo_proveedor (codigo_proveedor, codigo_producto);

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_productos
ADD CONSTRAINT proveedores_que_suministran_productos_ibfk_1 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE proveedores_que_suministran_productos
ADD CONSTRAINT proveedores_que_suministran_productos_ibfk_2 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos_que_componen_productos`
--
CREATE TABLE productos_que_componen_productos (
  codigo_componente int(11) NOT NULL AUTO_INCREMENT,
  semielaborado int(11) DEFAULT NULL,
  acabado int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_componente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `semielaborado` on table `productos_que_componen_productos`
--
ALTER TABLE productos_que_componen_productos
ADD UNIQUE INDEX semielaborado (semielaborado, acabado);

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_productos
ADD CONSTRAINT productos_que_componen_productos_ibfk_1 FOREIGN KEY (semielaborado)
REFERENCES productos (codigo_producto) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_productos
ADD CONSTRAINT productos_que_componen_productos_ibfk_2 FOREIGN KEY (acabado)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos_que_componen_pedidos`
--
CREATE TABLE productos_que_componen_pedidos (
  codigo_componente int(11) NOT NULL AUTO_INCREMENT,
  codigo_producto int(11) DEFAULT NULL,
  codigo_pedido int(11) DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  cantidad_pendiente int(11) DEFAULT NULL,
  realizado tinyint(1) DEFAULT 0,
  PRIMARY KEY (codigo_componente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_producto` on table `productos_que_componen_pedidos`
--
ALTER TABLE productos_que_componen_pedidos
ADD UNIQUE INDEX codigo_producto (codigo_producto, codigo_pedido);

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_pedidos
ADD CONSTRAINT productos_que_componen_pedidos_ibfk_1 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_pedidos
ADD CONSTRAINT productos_que_componen_pedidos_ibfk_2 FOREIGN KEY (codigo_pedido)
REFERENCES pedidos (codigo_pedido) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos_que_componen_ordenes`
--
CREATE TABLE productos_que_componen_ordenes (
  codigo_componente int(11) NOT NULL AUTO_INCREMENT,
  codigo_producto int(11) DEFAULT NULL,
  codigo_orden int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_componente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_producto` on table `productos_que_componen_ordenes`
--
ALTER TABLE productos_que_componen_ordenes
ADD UNIQUE INDEX codigo_producto (codigo_producto, codigo_orden);

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_ordenes
ADD CONSTRAINT productos_que_componen_ordenes_ibfk_1 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE productos_que_componen_ordenes
ADD CONSTRAINT productos_que_componen_ordenes_ibfk_2 FOREIGN KEY (codigo_orden)
REFERENCES ordenes_de_fabricacion (codigo_orden_de_fabricacion) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `productos_componen_proyectos`
--
CREATE TABLE productos_componen_proyectos (
  codigo_componente int(11) NOT NULL AUTO_INCREMENT,
  codigo_proyecto int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_componente)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_proyecto` on table `productos_componen_proyectos`
--
ALTER TABLE productos_componen_proyectos
ADD UNIQUE INDEX codigo_proyecto (codigo_proyecto, codigo_producto);

--
-- Create foreign key
--
ALTER TABLE productos_componen_proyectos
ADD CONSTRAINT productos_componen_proyectos_ibfk_1 FOREIGN KEY (codigo_proyecto)
REFERENCES proyectos (codigo_proyecto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE productos_componen_proyectos
ADD CONSTRAINT productos_componen_proyectos_ibfk_2 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `documentaciones`
--
CREATE TABLE documentaciones (
  codigo_documentacion int(11) NOT NULL AUTO_INCREMENT,
  codigo_pedido int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  documento_de_transporte varchar(100) DEFAULT NULL,
  justificante_de_pago varchar(100) DEFAULT NULL,
  numero_de_factura int(11) DEFAULT NULL,
  fecha_factura date DEFAULT NULL,
  archivo_factura varchar(100) DEFAULT NULL,
  albaran varchar(100) DEFAULT NULL,
  pedido varchar(100) DEFAULT NULL,
  documento_importacion varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_documentacion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 10,
AVG_ROW_LENGTH = 1820,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE documentaciones
ADD CONSTRAINT documentaciones_ibfk_1 FOREIGN KEY (codigo_pedido)
REFERENCES pedidos (codigo_pedido) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE documentaciones
ADD CONSTRAINT documentaciones_ibfk_2 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `compras`
--
CREATE TABLE compras (
  codigo_compra int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  cantidad_adquirida int(11) DEFAULT NULL,
  fecha_adquisicion date DEFAULT NULL,
  PRIMARY KEY (codigo_compra)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_empleado` on table `compras`
--
ALTER TABLE compras
ADD UNIQUE INDEX codigo_empleado (codigo_empleado, codigo_producto);

--
-- Create foreign key
--
ALTER TABLE compras
ADD CONSTRAINT compras_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE compras
ADD CONSTRAINT compras_ibfk_2 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `comentarios`
--
CREATE TABLE comentarios (
  codigo_comentario int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  codigo_seguimiento int(11) DEFAULT NULL,
  codigo_proveedor int(11) DEFAULT NULL,
  codigo_pedido int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  codigo_cliente int(11) DEFAULT NULL,
  codigo_cambio int(11) DEFAULT NULL,
  codigo_intermediario int(11) DEFAULT NULL,
  concepto_comentario varchar(100) DEFAULT NULL,
  fecha_comentario date DEFAULT NULL,
  hora_comentario time DEFAULT NULL,
  PRIMARY KEY (codigo_comentario)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_2 FOREIGN KEY (codigo_seguimiento)
REFERENCES seguimientos (codigo_seguimiento) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_3 FOREIGN KEY (codigo_proveedor)
REFERENCES proveedores (codigo_proveedor) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_4 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_5 FOREIGN KEY (codigo_cliente)
REFERENCES clientes (codigo_cliente) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE comentarios
ADD CONSTRAINT comentarios_ibfk_6 FOREIGN KEY (codigo_intermediario)
REFERENCES intermediarios (codigo_intermediario) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `cambios`
--
CREATE TABLE cambios (
  codigo_cambio int(11) NOT NULL AUTO_INCREMENT,
  motivo_cambio varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_cambio)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `productos_que_sufren_cambios`
--
CREATE TABLE productos_que_sufren_cambios (
  codigo_traspaso int(11) NOT NULL AUTO_INCREMENT,
  codigo_producto int(11) DEFAULT NULL,
  codigo_cambio int(11) DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_traspaso)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_producto` on table `productos_que_sufren_cambios`
--
ALTER TABLE productos_que_sufren_cambios
ADD UNIQUE INDEX codigo_producto (codigo_producto, codigo_cambio);

--
-- Create foreign key
--
ALTER TABLE productos_que_sufren_cambios
ADD CONSTRAINT productos_que_sufren_cambios_ibfk_1 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE productos_que_sufren_cambios
ADD CONSTRAINT productos_que_sufren_cambios_ibfk_2 FOREIGN KEY (codigo_cambio)
REFERENCES cambios (codigo_cambio) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `almacenes`
--
CREATE TABLE almacenes (
  codigo_almacen int(11) NOT NULL AUTO_INCREMENT,
  denominacion_almacen varchar(100) DEFAULT NULL,
  direccion_almacen varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo_almacen)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `empleados_que_gestionan_pedidos_en_almacenes`
--
CREATE TABLE empleados_que_gestionan_pedidos_en_almacenes (
  codigo_gestion int(11) NOT NULL AUTO_INCREMENT,
  codigo_empleado int(11) DEFAULT NULL,
  codigo_pedido int(11) DEFAULT NULL,
  codigo_almacen int(11) DEFAULT NULL,
  inventario tinyint(1) DEFAULT 0,
  contabilidad tinyint(1) DEFAULT 0,
  PRIMARY KEY (codigo_gestion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 20,
AVG_ROW_LENGTH = 862,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_empleado` on table `empleados_que_gestionan_pedidos_en_almacenes`
--
ALTER TABLE empleados_que_gestionan_pedidos_en_almacenes
ADD UNIQUE INDEX codigo_empleado (codigo_empleado, codigo_pedido);

--
-- Create index `codigo_pedido` on table `empleados_que_gestionan_pedidos_en_almacenes`
--
ALTER TABLE empleados_que_gestionan_pedidos_en_almacenes
ADD UNIQUE INDEX codigo_pedido (codigo_pedido, codigo_almacen);

--
-- Create foreign key
--
ALTER TABLE empleados_que_gestionan_pedidos_en_almacenes
ADD CONSTRAINT empleados_que_gestionan_pedidos_en_almacenes_ibfk_1 FOREIGN KEY (codigo_empleado)
REFERENCES empleados (codigo_empleado) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE empleados_que_gestionan_pedidos_en_almacenes
ADD CONSTRAINT empleados_que_gestionan_pedidos_en_almacenes_ibfk_2 FOREIGN KEY (codigo_pedido)
REFERENCES pedidos (codigo_pedido) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE empleados_que_gestionan_pedidos_en_almacenes
ADD CONSTRAINT empleados_que_gestionan_pedidos_en_almacenes_ibfk_3 FOREIGN KEY (codigo_almacen)
REFERENCES almacenes (codigo_almacen) ON DELETE NO ACTION ON UPDATE CASCADE;

--
-- Create table `almacenes_que_guardan_productos`
--
CREATE TABLE almacenes_que_guardan_productos (
  codigo_almacenamiento int(11) NOT NULL AUTO_INCREMENT,
  codigo_almacen int(11) DEFAULT NULL,
  codigo_producto int(11) DEFAULT NULL,
  fecha_ingreso_producto date DEFAULT NULL,
  cantidad int(11) DEFAULT NULL,
  PRIMARY KEY (codigo_almacenamiento)
)
ENGINE = INNODB,
AUTO_INCREMENT = 5,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_almacen` on table `almacenes_que_guardan_productos`
--
ALTER TABLE almacenes_que_guardan_productos
ADD UNIQUE INDEX codigo_almacen (codigo_almacen, codigo_producto);

--
-- Create foreign key
--
ALTER TABLE almacenes_que_guardan_productos
ADD CONSTRAINT almacenes_que_guardan_productos_ibfk_1 FOREIGN KEY (codigo_almacen)
REFERENCES almacenes (codigo_almacen) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE almacenes_que_guardan_productos
ADD CONSTRAINT almacenes_que_guardan_productos_ibfk_2 FOREIGN KEY (codigo_producto)
REFERENCES productos (codigo_producto) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `almacenes_que_gestionan_cambios`
--
CREATE TABLE almacenes_que_gestionan_cambios (
  codigo_gestion int(11) NOT NULL AUTO_INCREMENT,
  codigo_almacen int(11) DEFAULT NULL,
  codigo_cambio int(11) DEFAULT NULL,
  origen tinyint(1) DEFAULT 0,
  destino tinyint(1) DEFAULT 0,
  PRIMARY KEY (codigo_gestion)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `codigo_almacen` on table `almacenes_que_gestionan_cambios`
--
ALTER TABLE almacenes_que_gestionan_cambios
ADD UNIQUE INDEX codigo_almacen (codigo_almacen, codigo_cambio);

--
-- Create foreign key
--
ALTER TABLE almacenes_que_gestionan_cambios
ADD CONSTRAINT almacenes_que_gestionan_cambios_ibfk_1 FOREIGN KEY (codigo_almacen)
REFERENCES almacenes (codigo_almacen) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE almacenes_que_gestionan_cambios
ADD CONSTRAINT almacenes_que_gestionan_cambios_ibfk_2 FOREIGN KEY (codigo_cambio)
REFERENCES cambios (codigo_cambio) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table clientes
--
INSERT INTO clientes VALUES
(1, NULL, NULL, 'GRAHAM NICHOLSON (TREATSTOCK)', NULL, NULL, NULL, NULL, NULL),
(2, NULL, NULL, 'RAFAEL DIEGO COBO', NULL, NULL, NULL, NULL, NULL),
(3, NULL, NULL, 'TALLERES FÉLIX LLANOS', NULL, NULL, NULL, NULL, NULL),
(4, NULL, NULL, 'UNIVERSIDAD DE CANTABRIA', NULL, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table proyectos
--
INSERT INTO proyectos VALUES
(1, NULL, 'PR-2021-01', 'BUTTON', 'ver', NULL, 'ver', NULL, NULL, 'FABRICACIÓN  I3D', NULL),
(2, NULL, 'PR-2018-01', 'DZS', NULL, '100', NULL, '2021-02-17', NULL, 'INTERNO I+D', 'EN CURSO'),
(3, NULL, 'PR-2019-01', 'EXTRACTOR DE MUELLES', 'ver', '001', NULL, '2021-02-15', '2021-02-28', 'INTERNO INSTALACIONES', 'EN CURSO'),
(4, NULL, 'PR-2021-02', 'MESA AMORTIGUADORES', 'ver', '801', NULL, '2021-02-15', '2021-02-21', 'INTERNO INSTALACIONES', 'EN CURSO');

-- 
-- Dumping data for table proveedores
--
INSERT INTO proveedores VALUES
(1, NULL, NULL, 'BIKEDIFUSION', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(2, NULL, NULL, 'BROWN & GREESON', 'LTD', NULL, 'UK', 'PRODUCTOS'),
(3, NULL, NULL, 'WALERO', 'LTD', NULL, 'UK', 'PRODUCTOS'),
(4, NULL, NULL, 'MOTORSPORT TOOLS UK', 'LTD', NULL, 'UK', 'PRODUCTOS'),
(5, NULL, NULL, 'AMAZON EU', NULL, 'SOCIEDAD ANONIMA DE RESPONSABILIDAD LIMITADA', 'ES', 'PRODUCTOS'),
(6, NULL, NULL, 'FAST EUROCAFÉ', NULL, 'SOCIEDAD ANÓNIMA UNIPERSONAL', 'ES', 'PRODUCTOS'),
(7, NULL, NULL, 'FERRETERÍA CUBAS SUMINISTROS INDUSTRIALES', NULL, 'SOCIEDAD ANÓNIMA', 'ES', 'PRODUCTOS'),
(8, NULL, NULL, 'IMPORTACIONES DE ACCESORIOS DEPORTIVOS', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(9, NULL, NULL, 'BRICOLAJE BRICOMAN', NULL, 'SOCIEDAD DE RESPONSABILIDAD LIMITADA UNIPERSONAL', 'ES', 'PRODUCTOS'),
(10, NULL, NULL, 'ECOCASH PRODUCTOS ORGÁNICOS', NULL, 'SOCIEDAD CIVIL', 'ES', 'PRODUCTOS'),
(11, NULL, NULL, 'TEAM BIKE', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(12, NULL, NULL, 'SHIMANO IBERIA', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(13, NULL, NULL, 'COMERCIAL DE LAMINADOS', NULL, 'SOCIEDAD ANÓNIMA UNIPERSONAL', 'ES', 'PRODUCTOS'),
(14, NULL, NULL, 'ROBOTDIGG (ALIEXPRESS)', NULL, NULL, 'CH', 'PRODUCTOS'),
(15, NULL, NULL, 'MARCO MOTORSPORT', NULL, 'SOCIEDAD ANÓNIMA', 'ES', 'PRODUCTOS'),
(16, NULL, NULL, 'LEROY MERLIN ESPAÑA', NULL, 'SOCIEDAD ANÓNIMA UNIPERSONAL', 'ES', 'PRODUCTOS'),
(17, NULL, NULL, 'RALLY CAR', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(18, NULL, NULL, 'WOJCIECH KESIK KESMET CENTRUM METAL', NULL, NULL, 'PL', 'PRODUCTOS'),
(19, NULL, NULL, 'MECANIZADOS Y C.M. ANGO', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(20, NULL, NULL, 'MARTIN CONTENEDORES PARA LOGÍSTICA', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(21, NULL, NULL, 'CHINCO ONLINE (AMAZON)', NULL, NULL, 'CH', 'PRODUCTOS'),
(22, NULL, NULL, 'BAÑON Y SANCHEZ', NULL, 'SOCIEDAD LIMITADA', 'ES', 'PRODUCTOS'),
(23, NULL, NULL, 'GELIN', NULL, 'SOCIEDAD CIVIL', 'ES', 'PRODUCTOS'),
(24, NULL, NULL, 'RAJA PACK', NULL, NULL, 'ES', 'PRODUCTOS'),
(25, NULL, NULL, 'RENAULT', NULL, NULL, 'ES', 'PRODUCTOS'),
(26, NULL, NULL, 'MARCO D.C.', NULL, 'SOCIEDAD ANÓNIMA', 'ES', 'TRANSPORTE'),
(27, NULL, NULL, 'AMAZON', NULL, NULL, NULL, 'TRANSPORTE'),
(28, NULL, NULL, 'MRW', NULL, NULL, NULL, 'TRANSPORTE'),
(29, NULL, NULL, 'SEUR', NULL, NULL, 'ES', 'TRANSPORTE'),
(30, NULL, NULL, 'CORREOS', NULL, NULL, 'ES', 'TRANSPORTE'),
(31, NULL, NULL, 'CORREOS EXPRESS', NULL, NULL, NULL, 'TRANSPORTE'),
(32, NULL, NULL, 'DHL', NULL, NULL, NULL, 'TRANSPORTE'),
(33, NULL, NULL, 'N/A', NULL, NULL, NULL, 'TRANSPORTE'),
(34, NULL, NULL, 'TXT', NULL, NULL, 'ES', 'TRANSPORTE'),
(35, NULL, NULL, 'TNT', NULL, NULL, NULL, 'TRANSPORTE'),
(36, NULL, NULL, 'TESASER SERTESA', NULL, 'SOCIEDAD LIMITADA', 'ES', 'MATERIAL'),
(37, NULL, NULL, 'EOLAS PRINTS', NULL, 'SOCIEDAD LIMITADA', 'ES', 'MATERIAL'),
(38, NULL, NULL, 'LUMETAL PLASTIC', NULL, 'SOCIEDAD LIMITADA', 'ES', 'MATERIAL'),
(39, NULL, NULL, 'BRONCESVAL', NULL, NULL, NULL, 'MATERIAL'),
(40, NULL, NULL, 'KESMET CENTRUM METALI', NULL, NULL, 'PL', 'FABRICACION'),
(41, NULL, NULL, 'MECANIZADOS Y C.M. ANGO', NULL, 'SOCIEDAD LIMITADA', 'ES', 'FABRICACION'),
(42, NULL, NULL, 'MECASYS', 'SRO', NULL, 'SK', 'FABRICACION'),
(43, NULL, NULL, 'ANODIZADOS ANODI', NULL, 'SOCIEDAD LIMITADA', 'ES', 'POSTPROCESADOS'),
(44, NULL, NULL, 'ZINCADOS IBAIZABAL', NULL, NULL, 'ES', 'POSTPROCESADOS'),
(45, NULL, NULL, 'PROVEEDOR DE PANEL SANDWICH DIBOND COLORES (ALUMINIO-PE)', NULL, NULL, NULL, 'MATERIAL'),
(46, NULL, NULL, 'PROVEEDOR DE PLANCHA DE METACRILATO EXTRUSIÓN INCOLORO 2MM', NULL, NULL, NULL, 'MATERIAL');

-- 
-- Dumping data for table empleados
--
INSERT INTO empleados VALUES
(1, 'DAVID', 'GARCÍA', 'COZ', NULL),
(2, 'PELAYO', NULL, NULL, NULL),
(3, 'ALBERTO', 'BOLADO ', 'ZABALA', NULL);

-- 
-- Dumping data for table transportes
--
INSERT INTO transportes VALUES
(1, 3, NULL, NULL, NULL, NULL, 'A'),
(2, 4, NULL, NULL, NULL, NULL, 'A'),
(3, 6, NULL, NULL, NULL, NULL, 'A'),
(4, NULL, NULL, NULL, NULL, NULL, 'P'),
(5, 5, NULL, NULL, NULL, NULL, 'A');

-- 
-- Dumping data for table postprocesados
--
INSERT INTO postprocesados VALUES
(1, '2021-04-29', '2021-05-01', 'ENMASILLADO'),
(2, '2021-05-02', '2021-05-06', 'LIJADO'),
(3, '2021-05-06', '2021-05-10', 'PINTADO');

-- 
-- Dumping data for table materiales
--
INSERT INTO materiales VALUES
(1, 'PLÁSTICO', 'PLA', 'ROJO', 'ver'),
(2, 'PLÁSTICO', 'PLA', 'VERDE', 'ver'),
(3, 'PLÁSTICO', 'PLA', 'AZUL', 'ver'),
(4, 'PLÁSTICO', 'PET', NULL, 'ver'),
(5, 'PLÁSTICO', 'PET', NULL, 'ver'),
(6, 'PLÁSTICO', 'PET', NULL, 'ver'),
(7, 'PLÁSTICO', NULL, NULL, NULL),
(8, 'PLÁSTICO', NULL, NULL, NULL),
(9, 'METAL', 'ACERO', 'S235', 'ver'),
(10, 'METAL', 'ALUMINIO', '7075-T6', 'ver'),
(11, 'METAL', 'ALUMINIO', '6061', 'ver'),
(12, 'MADERA', NULL, NULL, NULL);

-- 
-- Dumping data for table mejoras
--
INSERT INTO mejoras VALUES
(1, 3, NULL, 'ver', NULL),
(2, 3, NULL, 'ver', '2021-04-16');

-- 
-- Dumping data for table ordenes_de_fabricacion
--
INSERT INTO ordenes_de_fabricacion VALUES
(1, 2, 1, NULL, NULL, 'NUEVA ORDEN', '2021-04-29', NULL, 'A', '2021-04-16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(2, 3, 2, NULL, NULL, 'PDT DE PRESUPUESTO ', '2021-04-29', NULL, 'P', '2021-04-16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table maquinas
--
INSERT INTO maquinas VALUES
(1, 'PRUSA I3 MK3S MMU2', NULL, NULL, 'ver', NULL, 'ver', 'ver', NULL, NULL, NULL, NULL, NULL),
(2, 'CREALITY ENDER 5 PLUS', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(3, 'SHAPEOKO 3 XXL', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(4, 'ANYCUBIC PHOTON -S', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(5, 'A: TORNO', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(6, 'A:FRESA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(7, 'A:FRESA + TORNO', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(8, 'A: CORTE LASER', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(9, 'SOLDADURA MIG/MAG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL),
(10, 'TIG SOLDADURA', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table pedidos
--
INSERT INTO pedidos VALUES
(1, 1, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', 'TRANSFERENCIA', NULL, NULL),
(2, 2, NULL, 'CK205384339GB', 'ver', 'R', 'COMPLETADO', NULL, 'TRANSFERENCIA', NULL, NULL),
(3, 3, NULL, 'N/A', 'ver', 'R', 'RECIBIDO DE FORMA PARCIAL', 'PRIORIDAD BAJA', 'TRANSFERENCIA', NULL, NULL),
(4, 4, NULL, 'CK244795415GB', 'ver', 'R', 'COMPLETADO', NULL, 'TRANSFERENCIA', NULL, NULL),
(5, 21, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', 'TARJETA ****9290', NULL, NULL),
(6, 6, NULL, 'N/A', 'ver', 'R', 'PDTE FACTURA', 'PRIORIDAD BAJA', 'TARJETA ****9290', NULL, NULL),
(7, 7, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'EFECTIVO', NULL, NULL),
(8, 8, NULL, '35030534755', 'ver', 'R', 'PDTE FACTURA', NULL, 'TRANSFERENCIA', NULL, NULL),
(9, 9, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'EFECTIVO', NULL, NULL),
(10, 7, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'EFECTIVO', NULL, NULL),
(11, 10, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', 'TARJETA ****9290', NULL, NULL),
(12, 7, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'DOMICILIADO', NULL, NULL),
(13, 11, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', NULL, NULL, NULL),
(14, 12, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', NULL, NULL, NULL),
(15, 13, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'TRANSFERENCIA', NULL, NULL),
(16, 14, NULL, 'CH107678534NL', 'ver', 'R', 'COMPLETADO', NULL, 'TARJETA', NULL, NULL),
(17, 9, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'TARJETA', NULL, NULL),
(18, 16, NULL, 'N/A', 'ver', 'R', 'COMPLETADO', NULL, 'EFECTIVO', NULL, NULL),
(19, 17, NULL, 'N/A', 'ver', 'R', 'PDTE FACTURA', NULL, 'TRANSFERENCIA', NULL, NULL),
(20, 18, NULL, '5028564', 'ver', 'R', 'INCIDENCIA DE ENVÍO', 'PRIORIDAD BAJA', NULL, NULL, NULL),
(21, 12, NULL, NULL, 'ver', 'R', 'COMPLETADO', NULL, 'TRANSFERENCIA', NULL, NULL),
(22, 5, NULL, NULL, 'ver', 'R', 'COMPLETADO', NULL, 'TARJETA', NULL, NULL),
(23, 20, NULL, NULL, 'ver', 'R', 'COMPLETADO', 'PRIORIDAD BAJA', 'TRANSFERENCIA', NULL, NULL),
(24, 22, NULL, NULL, 'ver', 'R', 'COMPLETADO', NULL, NULL, NULL, NULL),
(25, 5, NULL, NULL, 'ver', 'R', 'COMPLETADO', NULL, NULL, NULL, NULL),
(26, 23, NULL, NULL, 'ver', 'R', 'COMPLETADO', NULL, NULL, NULL, NULL),
(27, 19, NULL, NULL, NULL, 'R', 'INCIDENCIA DE ENVÍO', NULL, NULL, NULL, NULL),
(28, NULL, 1, '36010007484', 'ver', 'E', 'COMPLETADO', NULL, 'PAYPAL', NULL, NULL),
(29, NULL, NULL, NULL, NULL, 'E', 'PDTE FACTURA', NULL, NULL, NULL, NULL),
(30, NULL, NULL, NULL, NULL, 'E', 'PDTE FACTURA', NULL, NULL, NULL, NULL),
(31, NULL, NULL, NULL, NULL, 'E', 'EN PROCESO', NULL, NULL, NULL, NULL),
(32, NULL, NULL, NULL, NULL, 'E', 'ACEPTADA', NULL, NULL, NULL, NULL),
(33, NULL, NULL, NULL, NULL, 'E', 'PDTE FACTURA', NULL, NULL, NULL, NULL),
(34, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(35, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(36, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(37, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(38, NULL, NULL, NULL, NULL, 'E', NULL, NULL, NULL, NULL, NULL),
(39, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(40, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(41, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(42, NULL, NULL, NULL, NULL, 'R', NULL, NULL, NULL, NULL, NULL),
(43, NULL, NULL, NULL, NULL, 'R', 'COMPLETADO', 'PRIORIDAD BAJA', NULL, NULL, NULL),
(44, 25, NULL, NULL, NULL, 'R', 'COMPLETADO', NULL, NULL, NULL, NULL),
(45, 13, NULL, NULL, NULL, 'R', 'COMPLETADO', NULL, NULL, NULL, NULL),
(46, 13, NULL, NULL, NULL, 'R', 'COMPLETADO', 'PRIORIDAD BAJA', NULL, NULL, NULL),
(47, NULL, 4, NULL, NULL, 'E', 'COMPLETADO', NULL, NULL, NULL, NULL),
(48, 2, NULL, '435749197', NULL, 'R', 'EN PROCESO', NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table seguimientos
--
INSERT INTO seguimientos VALUES
(1, 1, NULL, 2, NULL, NULL),
(2, 4, NULL, 2, NULL, NULL),
(3, 1, NULL, 2, NULL, NULL),
(4, 16, NULL, NULL, NULL, NULL),
(5, 2, NULL, 3, NULL, NULL),
(6, NULL, 1, 1, NULL, NULL),
(7, NULL, 2, 1, NULL, NULL);

-- 
-- Dumping data for table intermediarios
--
INSERT INTO intermediarios VALUES
(1, NULL, NULL, 'TREATSTOCK', NULL, NULL);

-- 
-- Dumping data for table productos
--
INSERT INTO productos VALUES
(1, 2, NULL, 'Folding Utility Work Station - Bin Facade', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202102', 'BGR109BF'),
(2, 2, NULL, 'Folding Paddock Table - Powder Coated', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202102', 'BGR175P'),
(3, 4, NULL, 'Euro Bin - 400mm x 300mm x 120mm', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202102', 'BGR276EB'),
(4, 1, NULL, 'Bolígrafos de Punta de Bola Retráctiles de Multicolor 4 colores de tinta', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Consumibles de oficina', '202105', 'B07KXTM6ZP'),
(5, 1, NULL, '15 PIRAMIDE DIGEST', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'TEPIL15DI'),
(6, 4, NULL, 'OQUENDO CAFÉ CON LECHE 16CAP', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'DGOQ16CL'),
(7, 1, NULL, '15 PIRAMIDE TE NEGRO', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'TEPIL15BN'),
(8, 1, NULL, '15 PIRAMIDE DETOX', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'TEPIL15DE'),
(9, 1, NULL, '15 PIRAMIDE TE VERDE', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'TEPIL15VM'),
(10, 1, NULL, 'LECHE CONDENSADA OQUENDO 450GR', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Alimentacion', '202106', 'CO0106'),
(11, 20, NULL, 'TUERCA HEXAGONAL DIN 934 M8', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tuercas', '202107', '377000025'),
(12, 20, NULL, 'TUERCA HEXAGONAL DIN 934 M5', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tuercas', '202107', '377000028'),
(13, 20, NULL, 'TORNILLO DIN 933 M8X30', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tornillos', '202107', '377000463'),
(14, 20, NULL, 'TORNILLO DIN 933 M5X30', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tornillos', '202107', '377000508'),
(15, 1, NULL, 'VARILLA DIN 975 M10', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202107', '939006661'),
(16, 7, NULL, 'TUBO CUADRADO', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202109', '10257205'),
(17, 10, NULL, 'TORNILLO DIN 933 M10X40', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tornillos', '202110', '377000667'),
(18, 12, NULL, 'ARANDELA DIN 125 M20', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Arandelas', '202110', '377001655'),
(19, 1, NULL, 'SOLDADOR/ESTAÑADOR 30W', 'INMOVILIZADO MATERIAL', 'HERRAMIENTAS', NULL, '202110', '962000015'),
(20, 200, NULL, 'MASCARILLAS FFP2', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Consumibles de oficina', '202111', 'ZEL03'),
(21, 50, NULL, 'ARANDELA DIN 125 M5', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Arandelas', '202112', '377001642'),
(22, 50, NULL, 'ARANDELA DIN 125 M8', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Arandelas', '202112', '377001645'),
(23, 50, NULL, 'ARANDELA DIN 125 M10', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Arandelas', '202112', '377001660'),
(24, 50, NULL, 'ARANDELA PLANA DIN 125 M6', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Arandelas', '202112', '939000006'),
(25, 4, NULL, 'AM PASTILLAS FRENO ONOFF FORMULA ORO O', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '020. 45110'),
(26, 3, NULL, 'CUENTAKM. VDO M2.1 (30020)', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '12700044'),
(27, 3, NULL, 'LIMPIADOR DE DISCOS 10 oz', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '12600279'),
(28, 1, NULL, 'RS REC GRASA PM600 MILITARY 14OZ', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '4315014010'),
(29, 1, NULL, 'RS REC INSTADOR RETENES 35MM- NEW', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '4318032000'),
(30, 1, NULL, 'RS REC INSTALADOR RETENES 40MM', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114015207000'),
(31, 1, NULL, 'RS REC ACEITE 5w 1 LITRO – TALLER', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114015354010'),
(32, 1, NULL, 'RS REC ACEITE 15w 1 LITRO- TALLER', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114015354030'),
(33, 1, NULL, 'RS REC ACEITE 0-30W PIKE 1 LITRO', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114015354050'),
(34, 1, NULL, 'RS REC KIT RETEN/GUARD 32MM SEKTOR/REC', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114310290000'),
(35, 1, NULL, 'RS REC ACEITE 2.5 WT 120ML', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114315021010'),
(36, 1, NULL, 'RS REC ACEITE AMORT 7wt 120ML', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114315021060'),
(37, 1, NULL, 'RS REC HERRAMIENTA RACOR SANGRADO CHA', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114318010000'),
(38, 1, NULL, 'RS REC LLAVE 24MM EXTRACTORA CARTUCHOS', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '4315024010'),
(39, 1, NULL, 'RS REC REGULADOR NIVEL ACEITE ROCKSHOX', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '4318012008'),
(40, 1, NULL, 'RS REC INSTALADOR RETENES 35MM', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114015206000'),
(41, 1, NULL, 'RS REC INSTALADOR RETENES 28/30MM', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202113', '114310444000'),
(42, 2, NULL, 'EJE PEDALIER 89.5/92MM', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'EBBMT500PA'),
(43, 4, NULL, 'DISC BREAK PAD SET RESIN K03TI', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'Y1XC98010'),
(44, 1, NULL, 'DISC BRAKE PAD SET RESIN G03A', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'Y8LV98011'),
(45, 1, NULL, 'PEDALS PD-M324 SPD SILVER', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'EPDM324'),
(46, 2, NULL, 'SHOE CLEAT SPD SM-SH51', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'Y42498201'),
(47, 2, NULL, 'ROTOR 180MM CENTER LOCK', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'IRTMT800ME'),
(48, 2, NULL, 'OXC CABLE LOCK KEY COIL12', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'OXFLK201'),
(49, 2, NULL, 'OXC CABLE LOCK HOOP', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'OXFOF225'),
(50, 2, NULL, 'OXC CABLE LOCK COMBI', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202114', 'OXFOF210'),
(51, 6, NULL, 'TUBO GALVANIZADO 33,7mm x 1m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202115', '907005828'),
(52, 1, NULL, 'EXTRUSOR', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202116', '88123121745597827'),
(53, 1, NULL, 'HILO FLEX H07V-K 1.5MM2 25M NEGRO', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202117', '10003924'),
(54, 1, NULL, 'HILO FLEX H07V-K 1.5MM2 25M ROJO', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202117', '10317286'),
(55, 1, NULL, 'MARCO CON PARO DE EMERGENCIA', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202117', '10317741'),
(56, 1, NULL, '8 CONTERAS PLAST CUADRADA 30X30MM', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202117', '10424274'),
(57, 2, NULL, 'L ACERO CALIENTE 31X31X3 1M', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2020-03_MAQUINA DE RECICLAJE', '202118', '80110373'),
(58, 1, NULL, 'ADAPTADOR VOLANTE OMP', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202119', 'OD/1960VW145'),
(59, 1, NULL, 'Consumer floor Pump Carded', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'VARP80100C'),
(60, 1, NULL, 'Pedals Pd-M324 SPD Silver W/Cleats Sh-56', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'EPDM324'),
(61, 2, NULL, 'Chain 114 Links HG 9 SP', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'ICNHG93114I'),
(62, 1, NULL, 'Var tools Bottle Of 200 Bearing Balls, 1/4"', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'VARP08100'),
(63, 1, NULL, 'Var tools Bottle Of 200 Bearing Balls, 7/32"', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'VARP08500'),
(64, 2, NULL, 'Cassette 11 Speed 11-51', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'ICSM510011151'),
(65, 2, NULL, 'CUBIERTA BARZO 27.5X2.1', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', '11A00006'),
(66, 1, NULL, 'OXC BOMBA TALLER AIRTRACK LITE', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202121', 'OXFPU811'),
(67, 1, NULL, 'CABLE ADAPTADOR JACK HEMBRA 3,5MM A JACK DOBLE MACHO PARA AURICULAR', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Consumibles de oficina', '202122', NULL),
(68, 1, NULL, 'Roll Container 3 Lados con 2 Puertas 800x720x1800mm Nuevo', 'INMOVILIZADO MATERIAL', 'MOBILIARIO', NULL, '202123', 'MRCL1568'),
(69, 2, NULL, 'JUEGO GUÍAS H45 EXTRACCIÓN TOTAL 700MM', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2021-02_MESA AMORTIGUADORES', '202124', 'SD00352'),
(70, 1, NULL, 'JUEGO GUÍAS H53 EXTRACCIÓN TOTAL 700MM 100KG', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2021-02_MESA AMORTIGUADORES', '202124', 'SD100700'),
(71, 20, NULL, 'TORICAS NBR 70 3,5X1,5', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2018-01_DZS', '202126', NULL),
(72, 4, NULL, 'CAJA ENCAJABLE CON TAPA 600X400X420', 'INMOVILIZADO MATERIAL', 'MOBILIARIO', NULL, '202123', 'ENC6441GRNU'),
(73, 1, NULL, 'CONTENEDOR PLÁSTICO 1040X640X810', 'INMOVILIZADO MATERIAL', 'MOBILIARIO', NULL, '202123', 'CP986266WSEM'),
(74, 1, NULL, 'TAPA PARA CONTENDOR 1040X640', 'INMOVILIZADO MATERIAL', 'MOBILIARIO', NULL, '202123', 'TAP9862SEM'),
(75, 1, NULL, 'PILAS DE BOTON DURACELL', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Consumibles de oficina', '202125', NULL),
(76, 4, NULL, 'RAJAPACK FILM BURBUJAS', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Embalajes', '202127', 'LUR60ES'),
(77, 4, NULL, 'RAJAPACK FILM ESPUMA', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Embalajes', '202127', 'MCM602ES'),
(78, 1, NULL, 'MOTOR RENAULT H5F', 'EXISTENCIAS', 'EXISTENCIAS COMERCIALES', 'Mercaderias', '202128', NULL),
(79, 6, NULL, 'TUBO CUADRADO ESTRUCTURAL S275J0H 60X60X4 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2021-02_MESA AMORTIGUADORES', '202129', '907503447'),
(80, 12, NULL, 'TUBO RECTANGULAR E220 60X20X1,5 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2021-02_MESA AMORTIGUADORES', '202129', '907202000'),
(81, 6, NULL, 'REDONDO S355J0 50mm 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tubos', '202130', '910003513'),
(82, 12, NULL, 'TUBO REDONDO S275J0H 40X3 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tubos', '202130', '907005431'),
(83, 12, NULL, 'TUBO CUADRADO ESTRUCTURAL S275J0H 50X50X4 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'PR-2021-03_MESA-CARRO MOTOR', '202130', '907503438'),
(84, 6, NULL, 'TUBO REDONDO E220 DECAPADO 30X1,5 6m', 'EXISTENCIAS', 'MATERIAS PRIMAS', 'Tubos', '202130', '907005349'),
(85, 2, NULL, 'CABLE INSTRUMENTO DE LA SERIE BLACK ROLAND CON JACKS DE ¼”', 'EXISTENCIAS', 'OTROS APROVISIONAMIENTOS', 'Consumibles de oficina', '202132', NULL);

-- 
-- Dumping data for table cambios
--
INSERT INTO cambios VALUES
(1, 'INVENTARIO'),
(2, 'REVISIÓN'),
(3, 'PREPARACIÓN ENVÍO');

-- 
-- Dumping data for table almacenes
--
INSERT INTO almacenes VALUES
(1, 'REQUEJADA', NULL),
(2, 'CAMARGO', NULL),
(3, 'JOEL', NULL),
(4, 'DAVID', NULL),
(5, 'PELAYO', NULL);

-- 
-- Dumping data for table ventas
--
INSERT INTO ventas VALUES
(1, NULL, NULL, 1, NULL, NULL, NULL, NULL),
(2, NULL, NULL, 1, NULL, NULL, NULL, NULL),
(3, NULL, NULL, 1, NULL, NULL, NULL, NULL),
(4, NULL, NULL, 1, NULL, NULL, NULL, NULL),
(5, NULL, NULL, 1, NULL, NULL, NULL, NULL),
(6, NULL, NULL, 6, NULL, NULL, '2021-01-07', NULL),
(7, NULL, NULL, 1, NULL, NULL, NULL, NULL);

-- 
-- Dumping data for table transportes_que_sufren_los_pedidos
--
INSERT INTO transportes_que_sufren_los_pedidos VALUES
(4, 1, 1),
(5, 4, 3),
(6, 6, 5);

-- 
-- Dumping data for table tlfs_intermediarios
--
INSERT INTO tlfs_intermediarios VALUES
(1, 1, '241 468 7316');

-- 
-- Dumping data for table tlfs_empleados
--
INSERT INTO tlfs_empleados VALUES
(1, 1, '628 560 093');

-- 
-- Dumping data for table tlfs_clientes
--
INSERT INTO tlfs_clientes VALUES
(1, 4, '942 20 18 75'),
(2, 4, ' 942 20 17 11');

-- 
-- Dumping data for table telefonos_proveedores
--
INSERT INTO telefonos_proveedores VALUES
(3, 1, '632 154 789'),
(1, 1, '945 15 82 88'),
(2, 4, '+44 1758 357000');

-- 
-- Dumping data for table proveedores_que_suministran_productos
--
INSERT INTO proveedores_que_suministran_productos VALUES
(3, 3, 4, 22.1, NULL);

-- 
-- Dumping data for table proveedores_que_suministran_postprocesados_a_ordenes
--
INSERT INTO proveedores_que_suministran_postprocesados_a_ordenes VALUES
(1, 1, 11, 1),
(2, 2, 10, 1);

-- 
-- Dumping data for table proveedores_que_suministran_postprocesados
--
INSERT INTO proveedores_que_suministran_postprocesados VALUES
(3, 1, 2),
(4, 3, 1);

-- 
-- Dumping data for table proveedores_que_suministran_materiales
--
INSERT INTO proveedores_que_suministran_materiales VALUES
(2, 4, 2),
(1, 8, 3);

-- 
-- Dumping data for table proveedores_que_participan_en_proyectos
--
INSERT INTO proveedores_que_participan_en_proyectos VALUES
(1, 2, 1),
(2, 3, 1),
(3, 5, 2);

-- 
-- Dumping data for table proveedores_que_colaboran_en_ordenes
--
INSERT INTO proveedores_que_colaboran_en_ordenes VALUES
(4, 4, 2),
(2, 22, 1),
(5, 22, 2),
(3, 35, 2),
(1, 40, 2);

-- 
-- Dumping data for table proveedores_materiales_ordenes
--
INSERT INTO proveedores_materiales_ordenes VALUES
(1, 8, 3, 1, 2, NULL);

-- 
-- Dumping data for table productos_que_sufren_cambios
--
INSERT INTO productos_que_sufren_cambios VALUES
(1, 16, 1, 2),
(2, 8, 2, 1),
(3, 20, 3, 5);

-- 
-- Dumping data for table productos_que_componen_productos
--
INSERT INTO productos_que_componen_productos VALUES
(1, 9, 7),
(2, 11, 4),
(3, 25, 7);

-- 
-- Dumping data for table productos_que_componen_pedidos
--
INSERT INTO productos_que_componen_pedidos VALUES
(1, 3, 3, 2, 1, 0),
(2, 4, 2, 5, 1, 0),
(3, 16, 5, 8, 1, 0),
(4, 8, 1, 9, 1, 0);

-- 
-- Dumping data for table productos_que_componen_ordenes
--
INSERT INTO productos_que_componen_ordenes VALUES
(1, 2, 1),
(2, 3, 2),
(3, 5, 2),
(4, 7, 1),
(5, 18, 1);

-- 
-- Dumping data for table productos_componen_proyectos
--
INSERT INTO productos_componen_proyectos VALUES
(1, 1, 3),
(2, 1, 4),
(3, 1, 8),
(4, 1, 22);

-- 
-- Dumping data for table mejoras_de_maquinas
--
INSERT INTO mejoras_de_maquinas VALUES
(2, 1, 1),
(1, 2, 2),
(3, 3, 2),
(4, 5, 1);

-- 
-- Dumping data for table maquinas_participan_ordenes
--
INSERT INTO maquinas_participan_ordenes VALUES
(1, 4, 2),
(2, 5, 1),
(3, 9, 2),
(4, 10, 2);

-- 
-- Dumping data for table mantenimientos
--
INSERT INTO mantenimientos VALUES
(1, 3, 1, NULL, '2021-04-16'),
(2, 2, 5, NULL, NULL),
(3, 1, 3, NULL, NULL);

-- 
-- Dumping data for table intermediarios_que_participan_en_proyectos
--
INSERT INTO intermediarios_que_participan_en_proyectos VALUES
(1, 1, 1);

-- 
-- Dumping data for table enlaces_seguimientos
--
INSERT INTO enlaces_seguimientos VALUES
(1, 1, 'VER'),
(4, 2, 'VER'),
(2, 3, 'VER'),
(3, 5, 'VER');

-- 
-- Dumping data for table enlaces_intermediarios
--
INSERT INTO enlaces_intermediarios VALUES
(1, 1, 'https://www.treatstock.com/');

-- 
-- Dumping data for table empleados_que_trabajan_en_proyectos
--
INSERT INTO empleados_que_trabajan_en_proyectos VALUES
(5, 1, 1, 1),
(6, 2, 2, 1);

-- 
-- Dumping data for table empleados_que_gestionan_pedidos_en_almacenes
--
INSERT INTO empleados_que_gestionan_pedidos_en_almacenes VALUES
(1, 3, 1, 1, 0, 0),
(2, 3, 2, NULL, 0, 0),
(3, 3, 3, NULL, 0, 0),
(4, 3, 4, 1, 0, 0),
(5, 3, 5, 1, 0, 0),
(6, 3, 6, 1, 0, 0),
(7, 3, 7, 1, 0, 0),
(8, 3, 8, 1, 0, 0),
(9, 3, 9, 1, 0, 0),
(10, 3, 10, 1, 0, 0),
(11, 3, 11, 1, 0, 0),
(12, 3, 12, 1, 0, 0),
(13, 3, 13, 1, 0, 0),
(14, 3, 14, 1, 0, 0),
(15, 3, 15, 1, 0, 0),
(16, 3, 16, 1, 0, 0),
(17, 3, 17, 1, 0, 0),
(18, 3, 18, 1, 0, 0),
(19, 3, 19, 1, 0, 0);

-- 
-- Dumping data for table emails_proveedores
--
INSERT INTO emails_proveedores VALUES
(4, 1, 'bikedifusion@outlook.es'),
(1, 1, 'info@bikedifusion.es'),
(3, 2, 'brownadngreeson@gmail.com'),
(2, 16, 'infoes@leroymerlin.com');

-- 
-- Dumping data for table emails_intermediarios
--
INSERT INTO emails_intermediarios VALUES
(1, 1, 'support@treatstock.com');

-- 
-- Dumping data for table emails_empleados
--
INSERT INTO emails_empleados VALUES
(1, 1, 'david.garcia@ukyfu.com');

-- 
-- Dumping data for table emails_clientes
--
INSERT INTO emails_clientes VALUES
(2, 4, 'caminos@unican.es'),
(1, 4, ' etsiit@unican.es');

-- 
-- Dumping data for table documentaciones
--
INSERT INTO documentaciones VALUES
(1, 5, 9, 'VER', 'VER', NULL, NULL, 'VER', NULL, 'VER', NULL),
(2, 6, 1, 'VER', 'VER', NULL, NULL, 'VER', NULL, 'VER', NULL),
(3, 8, 8, 'VER', 'VER', NULL, NULL, 'VER', NULL, 'VER', NULL),
(4, 10, NULL, 'VER', NULL, NULL, NULL, 'VER', NULL, 'VER', NULL),
(5, 1, NULL, 'VER', NULL, NULL, NULL, 'VER', NULL, NULL, NULL),
(6, NULL, 3, 'VER', 'VER', NULL, NULL, 'VER', NULL, NULL, NULL),
(7, NULL, 4, 'VER', NULL, NULL, NULL, 'VER', NULL, NULL, NULL),
(8, NULL, 5, 'VER', NULL, NULL, NULL, 'VER', NULL, NULL, NULL),
(9, 5, 2, 'VER', NULL, NULL, NULL, 'VER', NULL, NULL, NULL);

-- 
-- Dumping data for table direcciones_facturacion_clientes
--
INSERT INTO direcciones_facturacion_clientes VALUES
(1, 4, 'Av. de los Castros, s/n, 39005 Santander, Cantabria'),
(2, 4, 'Avda. de los Castros, 54, 39006 Santander, Cantabria');

-- 
-- Dumping data for table direcciones_envio_clientes
--
INSERT INTO direcciones_envio_clientes VALUES
(2, 1, '17001 GIRONA (ES)'),
(1, 1, 'CAREER DE SANTA CLARA, 49.1º');

-- 
-- Dumping data for table compras
--
INSERT INTO compras VALUES
(1, 1, 16, 14, NULL),
(2, 2, 32, 9, NULL),
(3, 3, 24, 7, NULL);

-- 
-- Dumping data for table comentarios
--
INSERT INTO comentarios VALUES
(1, NULL, NULL, 45, NULL, NULL, NULL, NULL, NULL, 'ENLACE https://www.mwmaterialsworld.com/es/panel-sandwich-dibond-colores-aluminio-pe.html', NULL, NULL),
(2, NULL, NULL, 46, NULL, NULL, NULL, NULL, NULL, 'ENLACE https://www.panelsandwichmurcia.com/tienda/metacrilato/plancha-metacrilato-extrusion-1', NULL, NULL);

-- 
-- Dumping data for table almacenes_que_guardan_productos
--
INSERT INTO almacenes_que_guardan_productos VALUES
(1, 1, 2, '2021-04-16', 10),
(2, 3, 4, '2021-02-14', 10),
(3, 2, 7, '2021-02-14', 10),
(4, 3, 2, '2021-01-16', 10);

-- 
-- Dumping data for table almacenes_que_gestionan_cambios
--
INSERT INTO almacenes_que_gestionan_cambios VALUES
(1, 1, 2, 0, 1),
(2, 2, 2, 1, 0);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;